<div class="product-sales-area ">
  <div class="container-fluid custom_container_fluid_padding">
    <div class="row">
      <div class="col-sm-8">
        <h4 class="page-title">Edit A Request</h4>
      </div>
    </div>

    <div class="row">
      <div class="col-lg-12">
        <div class="card-box">

          <div class="form-group">
            <div class="row">
              <div class="col-md-2">
                <h6 class="label_text_column">Date</h6>
              </div>
              <div class="col-md-10">
                <h6 class="post_a_request_page">{{date|date:'dd MMM yyyy'}}</h6>
              </div>
            </div>
          </div>
          <div class="form-group">
            <div class="row">
              <div class="col-md-2">
                <h6 class="label_text_column">Description</h6>
              </div>
              <div class="col-md-10">
                <h6>{{description}}</h6>
              </div>
            </div>
          </div>
          <div class="form-group">
            <div class="row">
              <div class="col-md-2">
                <h6 class="label_text_column">Category</h6>
              </div>
              <div class="col-md-10">
                <h6>{{category}}</h6>
              </div>
            </div>
          </div>
          <div class="form-group">
            <div class="row">
              <div class="col-md-2">
                <h6 class="label_text_column">SubCategory</h6>
              </div>
              <div class="col-md-10">
                <h6>{{subCategory}}</h6>
              </div>
            </div>
          </div>
          <div class="form-group">
            <div class="row">
              <div class="col-md-2">
                <h6 class="label_text_column">Buyer</h6>
              </div>
              <div class="col-md-10">
                <h6>{{buyer_name}}</h6>
              </div>
            </div>
          </div>
          <div class="form-group">
            <div class="row">
              <div class="col-md-2">
                <h6 class="label_text_column">Delivery Time</h6>
              </div>
              <div class="col-md-10">
                <h6>{{delivery_time}}</h6>
              </div>
            </div>
          </div>
          <div class="form-group">
            <div class="row">
              <div class="col-md-2">
                <h6 class="label_text_column">Budget</h6>
              </div>
              <div class="col-md-10">
                <h6> {{budget | currency: 'INR':'symbol':'1.0-0'}}</h6>
              </div>
            </div>
          </div>
          <div class="form-group">
            <div class="row">
              <div class="col-md-2">
                <h6 class="label_text_column">Attachments:</h6>
              </div>
              <div class="col-md-10">
                <!-- <h6>{{attachments}}</h6> -->
                <ng-container *ngFor="let item of admin_PostrequestList.attachments">
                  <img type="file" src="{{item.file_path}}" (click)="openImage(item.file_path)" height="100" width="100" style="cursor: pointer;">&nbsp;&nbsp;&nbsp;
                </ng-container>
              </div>
            </div>
          </div>
          <div class="form-group">
            <div class="row">
              <div class="col-md-2">
                <h6 class="label_text_column">Status</h6>
              </div>
              <div class="col-md-10">
                <h6>{{status}}</h6>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>

    <div class="row">
      <div class="col-md-12">
        <div class="form-group" *ngIf="statusId==1">
          <a class="btn btn-success btn-sm" style="color: white;margin-top: 10px;margin-right: 6px;"
            (click)="onApproveBtn()">Approve</a>
          <a class="btn btn-danger btn-sm" style="color: white;margin-top: 10px;" (click)="onRejectBtn()">Reject</a>
        </div>
        <!-- <div class="form-group" *ngIf="statusId==2 || statusId==3">
          <a [routerLink]="'/admin_post_a_request'" class="btn btn-primary btn-sm"
            style="color: white;margin-top: 10px;">Back</a>
        </div> -->
      </div>
    </div>
  </div>
</div>

<div id="reject_comment" class="modal fade" role="dialog">
  <div class="modal-dialog custom_modal_dialog" style="width: 500px;">
    <div class="modal-content">
      <div class="modal-header custom_modal_header">
        <h4 class="modal-title custom_modal_title text-left" style="color: #fff;font-size: 20px;">Reject Comment</h4>
        <button type="button" class="close" data-dismiss="modal"
          style="position: absolute;right: 12px;top: 5px;font-size: 30px;">&times;</button>
      </div>
      <div class="modal-body custom_modal_body">
        <div class="row">
          <div class="col-md-12 pd_0">
            <div class="form-group">
              <textarea class="form-control" rows="3" placeholder="Type here..." name="reject_comment" maxlength="500"
                [(ngModel)]="reject_comment"></textarea>
              <span class="error_msg"
                *ngIf="check_reject_comment && (reject_comment==null || reject_comment==undefined || reject_comment.trim()=='')">
                Please enter Comment.
              </span>
            </div>
            <div class="text-right">
              <a href="javascript:void(0)" class="btn detail_submit_btn" style="padding:4px 15px !important;"
                (click)="onClickRejectCommentSubmit()">Submit</a>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>


<!-- enlarge Image Pop start -->
<div class="modal fade" id="imagemodal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
  <div class="modal-dialog image_inlarge_modal_dialog" style="height: 500px;">
      <div class="modal-content inlarge_modal_content">
          <div class="modal-body image_inlarge_modal_body">
              <button id="btnImageInLargeCloseButton" type="button" class="close image_inlarge_close_btn" data-dismiss="modal">
                  <img src="assets/img/cancel_img.png" width="29" />
                  <span class="sr-only">Close</span>
              </button>
              <img [src]="image_ViewUrl" class="imagepreview" style="width: 100%;">
          </div>
      </div>
  </div>
</div>
<!-- enlarge Image Pop End -->